/* Old<->New-Getline interface : open */
/* この旧型ｲﾝﾀｰﾌｪｰｽでは、1/2,1/4角文字は強制的に利用可能になる */

#include <stdio.h>
#include "getline.h"
#include "abuff.h"

/* getline 構造体配列アドレス（グローバル）*/
_GETLNDT *G_gdt=NULL;
int	  G_maxno;

int open_getline(maxno,bsize,lmax)
/* getline使用開始処理 */
int maxno; /* 多段ヒストリー最大数 */
int bsize; /* ヒストリーサイズ */
int lmax;  /* １行最大入力バイト数（今後使う中での最大長さ）*/
{
int i;
	/* 構造体配列確保 */
	G_gdt=(_GETLNDT *)newmalloc(sizeof(_GETLNDT)*maxno);
	if (G_gdt==NULL) return(-1);
	/* getline-open */
	for (i=0;i<maxno;i++) {
		if (OpenGetline(&G_gdt[i],bsize,lmax,1)) break;
	}
	/* ヒストリーは0〜i-1段しか使えない */
	/* 指定した数全て使える時は0〜maxno-1 */
	/* 全く使えない時は-1 */
	G_maxno=i-1;
	return(G_maxno);
}
